Bug 106266 - Wrong dialog stacking order
Wrong dialog stacking order
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeciv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-04 10:01 EDT by Miloslav Trmac
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-08 08:29:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmac 2003-10-04 10:01:10 EDT
Description of problem:
freeciv-1.14 apparently tells the window manager to keeps its dialogs above
the main window. This is great (I was always loosing the "Messages" window),
but it seems to impose a static stacking order among the dialogs, which is
not always right.

Version-Release number of selected component (if applicable):
freeciv-1.14.0-2

Steps to Reproduce:
a) Open a city window, click on 'buy'. The 'buy' dialog is behind the city dialog.
2) Open a city window, click on an unit to bring a command menu. The menu is
behind the city dialog.
3) Open the research advisor, bring up help (check 'Help' and select a
technology). The help window is behind the research advisor window.
4) There are ordering issues between the Messages window and the research
advisor when both pop up automatically at the start of a turn.
    
Additional info:
Might be a Metacity bug, I haven't attempted to check the window properties yet.
Comment 1 Miloslav Trmac 2004-04-08 08:29:54 EDT
Looks fixed in freeciv-1.14.1-3.

Note You need to log in before you can comment on or make changes to this bug.